NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::LineDesigner::PickRectanglePointsBuilder Class Reference

Pick Rectangle Points
To create a new instance of this class, use NXOpen::LineDesigner::LineDesignerManager::CreatePickRectanglePointsBuilder

Created in NX9.0.0. More...

Inheritance diagram for NXOpen::LineDesigner::PickRectanglePointsBuilder:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

bool AllowRotation ()
 Returns the check for rotaion
Created in NX9.0.0. More...
 
NXOpen::SelectPartListPointsSelection ()
 Returns the points of selection are return
Created in NX9.0.0. More...
 
void ResetData ()
 To reset rectangle data
Created in NX9.0.0. More...
 
void ResetWidthHeight ()
 To reset rectangle width and height
Created in NX9.0.0. More...
 
void SetAllowRotation (bool rotaion)
 Sets the check for rotaion
Created in NX9.0.0. More...
 
void SetWidthHeight (double width, double height)
 To set rectangle width and height
Created in NX9.0.0. More...
 
void UpdateRecAngle (double angle)
 To update rectangle angle
Created in NX9.0.0. More...
 
void UpdateRecHeight (double height)
 To update rectangle height
Created in NX9.0.0. More...
 
void UpdateRectangle ()
 To update rectangle points
Created in NX9.0.0. More...
 
void UpdateRecWidth (double width)
 To update rectangle width
Created in NX9.0.0. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Pick Rectangle Points
To create a new instance of this class, use NXOpen::LineDesigner::LineDesignerManager::CreatePickRectanglePointsBuilder

Created in NX9.0.0.


Member Function Documentation

bool NXOpen::LineDesigner::PickRectanglePointsBuilder::AllowRotation ( )

Returns the check for rotaion
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::SelectPartList* NXOpen::LineDesigner::PickRectanglePointsBuilder::PointsSelection ( )

Returns the points of selection are return
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

void NXOpen::LineDesigner::PickRectanglePointsBuilder::ResetData ( )

To reset rectangle data
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

void NXOpen::LineDesigner::PickRectanglePointsBuilder::ResetWidthHeight ( )

To reset rectangle width and height
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

void NXOpen::LineDesigner::PickRectanglePointsBuilder::SetAllowRotation ( bool  rotaion)

Sets the check for rotaion
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

Parameters
rotaionrotaion
void NXOpen::LineDesigner::PickRectanglePointsBuilder::SetWidthHeight ( double  width,
double  height 
)

To set rectangle width and height
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

Parameters
widthwidth
heightheight
void NXOpen::LineDesigner::PickRectanglePointsBuilder::UpdateRecAngle ( double  angle)

To update rectangle angle
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

Parameters
angleangle
void NXOpen::LineDesigner::PickRectanglePointsBuilder::UpdateRecHeight ( double  height)

To update rectangle height
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

Parameters
heightheight
void NXOpen::LineDesigner::PickRectanglePointsBuilder::UpdateRectangle ( )

To update rectangle points
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

void NXOpen::LineDesigner::PickRectanglePointsBuilder::UpdateRecWidth ( double  width)

To update rectangle width
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

Parameters
widthwidth
virtual bool NXOpen::LineDesigner::PickRectanglePointsBuilder::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.